> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Create Order

POST https://api-b2b.bigcommerce.com/api/v2/orders
Content-Type: application/json

Generates an order record in B2B Edition after a Company user places an order.

This occurs automatically; however, you can populate extra information on a B2B order by using a [webhook](/developer/docs/integrations/webhooks) that first listens for BigCommerce order creation and then calls the Create an Order endpoint. The request must be made within 10 seconds of an order's creation for it to be successful.

Note that this  **does not** create a new order in your store. Use the [Orders V2 API](/developer/api-reference/rest/admin/management/orders) to add new orders via the API.

Equivalent Storefront GraphQL API Mutation: `createOrder`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/storefront/orders/post-orders

## Authentication

- `Authorization` header (bearer token, required) — ### Authentication header | Header | Argument | Description | | :-------------- | :------------------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | `Authorization` | `Bearer {{B2B_JWT_TOKEN}}` | You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section\[...] |

## Request

### Body (application/json)

This endpoint expects an object.

- `orderId` (integer, required) — The BigCommerce order ID.
- `poNumber` (string, optional) — The order's Purchase Order (PO), if used.
- `isSaveOrderComment` (string, optional, default: 0) — Indicates whether the order comment is saved, if one exists. `0` indicates that the order comment is saved, while `1` indicates that it is not saved.
- `extraFields` (extraFields, optional)

## Response

### 200

OK

- `code` (integer, required) — HTTP Response Code
- `message` (string, required, default: SUCCESS) — Response message
- `data` (list of OrdersPostResponsesContentApplicationJsonSchemaDataItems, required)
- `data` (list of OrdersPostResponsesContentApplicationJsonSchemaDataItems, required)

## Errors

### 400 Bad Request Error

Bad Request This error occurs if the `orderId` value does not correspond to an existing order that was placed by the Company user. It can also occur if the storefront authToken used to authenticate the request does not have the required permissions to create an order. The error code in the response body appears as `40013` instead of `400`. This is because it is a 400 response for the Orders resource, which has a numeric identifier of 13.

- `code` (integer, required)
- `message` (string, required) — Error message for the request
- `data` (OrdersPostResponsesContentApplicationJsonSchemaData, required)

## Types

### extraFields

- `extraFields` (list of ExtraFieldsExtraFieldsItems, optional) — Contains extra field information associated with the order.

### OrdersPostResponsesContentApplicationJsonSchemaDataItems

- `orderId` (string, required) — The B2B Edition internal order ID. Note that this is different from the BigCommerce order ID returned in the `bcOrderId` field.

### OrdersPostResponsesContentApplicationJsonSchemaData

### ExtraFieldsExtraFieldsItems

- `fieldName` (string, optional) — The name of the order extra field.
- `fieldValue` (string, optional) — The value of the order extra field.

## Examples

**Request**

```json
{
  "orderId": 123
}
```

**Response**

```json
{
  "code": 1,
  "message": "SUCCESS",
  "data": [
    {
      "orderId": 123
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api-b2b.bigcommerce.com/api/v2/orders"

payload = { "orderId": 123 }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api-b2b.bigcommerce.com/api/v2/orders';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"orderId":123}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v2/orders"

	payload := strings.NewReader("{\n  \"orderId\": 123\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v2/orders")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"orderId\": 123\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api-b2b.bigcommerce.com/api/v2/orders")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"orderId\": 123\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api-b2b.bigcommerce.com/api/v2/orders', [
  'body' => '{
  "orderId": 123
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v2/orders");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"orderId\": 123\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["orderId": 123] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v2/orders")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```